Subject: AW: bug#11849: 23.3; emacs freeze when vpn is connected

From: "Bellmann, Andreas" <[email-masked]>
Date: Wed, 4 Jul 2012 08:55:12 +0000

Hello,

I updated emacs and had a look at the process explorer. Neither cpu traffic nor network traffic is high.  The network shows a connection to the emacs server

>From this  I realized, that my error description was too imprecise:

What I actually do:

* start emacs normally
* try to open a file in windows via context-menu
* this calls the following (from the windows registry):
[HKEY_CLASSES_ROOT\Directory\shell\openwemacs]
@="Edit &with Emacs"

[HKEY_CLASSES_ROOT\Directory\shell\openwemacs\command]
@="\"C:\\bin\\emacs-24.1\\bin\\emacsclientw.exe\" -a \"C:\\bin\\emacs-24.1\\bin\\runemacs.exe\" \"%1\""

* I am guessing, that this will try to connect to the emacs server
* No answer from emacs for about 1 minute
* The file is finally opened in emacs

Any suggestions?

Thanks,
Andreas

Andreas Bellmann
Senior Architekt

Tel:    +49 (711) 13984-242             Heiler Software AG
Fax:    +49 (711) 8666301               Mittlerer Pfad 5 - 70499 Stuttgart
Cell:   +49 (172) 2715755
E-Mail: [email-masked]            http://www.heiler.com

Management Board: Rolf J. Heiler, Dr. Wolfgang A. Koestler, Frank Schmidt, Dirk Haeussermann
Chairman of the Supervisory Board: Antonio Schnieder
Registry Court: Stuttgart District Court, HRB 20399, German VAT ID.DE 146023553

-----Ursprüngliche Nachricht-----
Von: Eli Zaretskii [mailto:[email-masked]]
Gesendet: Dienstag, 3. Juli 2012 18:40
An: Bellmann, Andreas
Cc: [email-masked]
Betreff: Re: bug#11849: 23.3; emacs freeze when vpn is connected

> From: "Bellmann, Andreas" <[email-masked]>
> Date: Tue, 3 Jul 2012 08:46:09 +0000
>
> I am using emacs on windows (version 23.3) and it works just fine. As
>
> soon as I connect to my Checkpoint VPN (VPN over https using
> checkpoint ssl extender 7.01.0000) , emacs becomes unusable, because
> every file interaction (load, save) freezes emacs for about 1 minute.
> I have not been able to find any information in the messages of emacs on the cause of this problem.

First, could you please try the latest Emacs 24.1?  A precompiled binary is available from ftp://ftp.gnu.org/gnu/emacs/windows/.

If the problem persists in Emacs 24.1, I would suggest to look with the Task Manager or (better) Process Explorer whether some process uses up a lot of CPU during those freezes.  If the CPU usage is low, then perhaps Emacs tries to access some resources via the network?
Another idea is to customize vc-handled-backends to nil and see if that helps.  Finally, try setting w32-get-true-file-attributes to nil.